be.ehealth.technicalconnector.service.ws

## Class ServiceFactory

- java.lang.Object
- - be.ehealth.technicalconnector.service.ws.ServiceFactory

-     public final class ServiceFactory
      extends Object

  A factory for creating service objects.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenericRequest` | `getETKService()` Gets the eTK service.
    `static GenericRequest` | `getIdSupportV2Service(SAMLToken token)`
    `static GenericRequest` | `getIdSupportV2Service(SAMLTokenContainer container)`
    `static GenericRequest` | `getKGSSService()` Gets the KGSS service.
    `static GenericRequest` | `getKGSSServiceSecured(SAMLToken token)` Gets the KGSSS service secured.
    `static GenericRequest` | `getKGSSServiceSecured(SAMLTokenContainer container)`
    `static GenericRequest` | `getSealsService(X509Certificate certificate, PrivateKey privateKey)` Gets the Codage service.
    `static GenericRequest` | `getSTSService(X509Certificate certificate, PrivateKey privateKey)` Gets the sTS service.
    `static GenericRequest` | `getTSAuthorityService(X509Certificate certificate, PrivateKey privateKey)` Gets the Timestamping service.
    `static GenericRequest` | `getTSConsultService(X509Certificate certificate, PrivateKey privateKey)` Gets the Timestamping service.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSealsService

          public static GenericRequest getSealsService(X509Certificate certificate,
                                                       PrivateKey privateKey)
                                                throws TechnicalConnectorException

      Gets the Codage service.
      Parameters:
        `certificate` - the certificate
        `privateKey` - the private key
      Returns:
        the codage service
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getETKService

          public static GenericRequest getETKService()
                                              throws TechnicalConnectorException

      Gets the eTK service.
      Returns:
        the eTK service
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getSTSService

          public static GenericRequest getSTSService(X509Certificate certificate,
                                                     PrivateKey privateKey)
                                              throws TechnicalConnectorException

      Gets the sTS service.
      Parameters:
        `certificate` -
        `privateKey` -
      Returns:
        the STS Service
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getKGSSService

          public static GenericRequest getKGSSService()
                                               throws TechnicalConnectorException

      Gets the KGSS service.
      Returns:
        the KGSS service
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getKGSSServiceSecured

          public static GenericRequest getKGSSServiceSecured(SAMLToken token)
                                                      throws TechnicalConnectorException

      Gets the KGSSS service secured.
      Parameters:
        `token` - the token
      Returns:
        the KGSS service secured
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getKGSSServiceSecured

          public static GenericRequest getKGSSServiceSecured(SAMLTokenContainer container)
                                                      throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### getTSAuthorityService

          public static GenericRequest getTSAuthorityService(X509Certificate certificate,
                                                             PrivateKey privateKey)
                                                      throws TechnicalConnectorException

      Gets the Timestamping service.
      Parameters:
        `certificate` - the certificate
        `privateKey` - the private key
      Returns:
        the KGSS service secured
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getTSConsultService

          public static GenericRequest getTSConsultService(X509Certificate certificate,
                                                           PrivateKey privateKey)
                                                    throws TechnicalConnectorException

      Gets the Timestamping service.
      Parameters:
        `certificate` - the certificate
        `privateKey` - the private key
      Returns:
        the KGSS service secured
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getIdSupportV2Service

          public static GenericRequest getIdSupportV2Service(SAMLTokenContainer container)
                                                      throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### getIdSupportV2Service

          public static GenericRequest getIdSupportV2Service(SAMLToken token)
                                                      throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.